# Generated from dialect-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dialect

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: A Semantically Clean Fluent Interface Test Framework
License: MIT
URL: https://github.com/jnyman/dialect
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.6.1
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
Dialect is a framework that provides a way to describe your application
in terms of activity and page definitions. Those definitions can then be
referenced by test libraries using the DSL that Dialect provides.
The DSL provides a fluent interface that can be used for constructing
test execution logic. This fluent interface promotes the idea of
compressibility of your test logic, allowing for more factoring, more
reuse, and less repetition.
You can use Dialect directly as an automated testing solution or you can
use it with other tools such as RSpec, Cucumber, or my own Lucid tool.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/dialect.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
